summaryrefslogtreecommitdiff
path: root/json-c/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'json-c/autogen.sh')
-rwxr-xr-xjson-c/autogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/json-c/autogen.sh b/json-c/autogen.sh
new file mode 100755
index 00000000..69e765a6
--- /dev/null
+++ b/json-c/autogen.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+autoreconf -v --install || exit 1
+
+# If there are any options, assume the user wants to run configure.
+# To run configure w/o any options, use ./autogen.sh --configure
+if [ $# -gt 0 ] ; then
+ case "$1" in
+ --conf*)
+ shift 1
+ ;;
+ esac
+ exec ./configure "$@"
+fi